Package org.drinkless.tdlib

# Class TdApi.PreliminaryUploadFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.File>
org.drinkless.tdlib.TdApi.PreliminaryUploadFile

Enclosing class:
  `TdApi`

public static class TdApi.PreliminaryUploadFile extends TdApi.Function<TdApi.File>
Preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. In all other cases there is no need to preliminary upload a file. Updates updateFile will be used to notify about upload progress. The upload will not be completed until the file is sent in a message.

Returns `File`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `file`
  File to upload.
  `TdApi.FileType`
  `fileType`
  File type; pass null if unknown.
  `int`
  `priority`
  Priority of the upload (1-32).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreliminaryUploadFile()`
  Default constructor for a function, which preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.
  `PreliminaryUploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)`
  Creates a function, which preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### file

    public TdApi.InputFile file
    File to upload.

  - ### fileType

    public TdApi.FileType fileType
    File type; pass null if unknown.

  - ### priority

    public int priority
    Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which preliminaryUploadFile was called will be uploaded first.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreliminaryUploadFile

    public PreliminaryUploadFile()
    Default constructor for a function, which preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. In all other cases there is no need to preliminary upload a file. Updates updateFile will be used to notify about upload progress. The upload will not be completed until the file is sent in a message.

    Returns `File`

  - ### PreliminaryUploadFile

    public PreliminaryUploadFile(TdApi.InputFile file, TdApi.FileType fileType, int priority)
    Creates a function, which preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes. In all other cases there is no need to preliminary upload a file. Updates updateFile will be used to notify about upload progress. The upload will not be completed until the file is sent in a message.

    Returns `File`

    Parameters:
      `file` - File to upload.
      `fileType` - File type; pass null if unknown.
      `priority` - Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which preliminaryUploadFile was called will be uploaded first.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.File>`
    Returns:
      this.CONSTRUCTOR